            implicit real*8(a-h,o-z)
            dimension sxx(50000),syy(500000),szz(50000),
     &      sxy(50000),syz(500000),szx(50000)
            nx=5; ny=30; nz=240
            z=1.d-2 ! z*nzが梁の全長になるように。
             open(8,file='s1r60.d')
             !open(8,file='sigmah.d')
             open(9,file='s1r60na')
             open(10,file='s1r60so')
             read(8,*) hai
             read(8,*) n
            do i=1,n
             read(8,*) ngomi,nsetten,sxx(i),syy(i),szz(i),
     &                               sxy(i),syz(i),szx(i) 
            end do
100          format(i3,i10,1p6e12.5)
            do k=0,nz
             knaka=(nx+1)*(ny/2)+1+(nx+1)*(ny+1)*k
             ksoto=knaka+nx
             write(9,*) z*k, syz(knaka)
             write(10,*) z*k, syz(ksoto)
            end do
             close(8)
             close(9)
             close(10)
            end
